
%define api 0.1
%define major 4
%define libname %mklibname usb-compat %api %major
%define devellibname %mklibname -d usb-compat %api
%define sdevellibname %mklibname -s -d usb-compat %api

%define oldlibusb_version 0.1.12-14

Summary: A library which allows userspace access to USB devices
Name: libusb-compat
Version: 0.1.4
Release: %mkrel 3
Source0: http://downloads.sourceforge.net/libusb/%name-%{version}.tar.bz2
License: LGPLv2+
Group: System/Libraries
URL: http://libusb.wiki.sourceforge.net/Libusb1.0
BuildRequires: doxygen 
BuildRequires: pkgconfig(libusb-1.0) >= 0.9.1

%description
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %libname
Summary: %summary
Group:	System/Libraries
Requires(pre): filesystem >= 2.1.9-18
Provides: %{_lib}usb0.1_4 = %oldlibusb_version
Obsoletes: %{_lib}usb0.1_4 < %oldlibusb_version
# old provides from libusb0.1_4
Provides: libusb = %oldlibusb_version
Provides: libusb0.1 = %oldlibusb_version

%description -n %libname
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %devellibname
Summary: Development files for libusb-0.1
Group:	Development/C
Requires(pre): filesystem >= 2.1.9-18
Requires: %{libname} = %{version}
Provides: %{_lib}usb-devel = %oldlibusb_version
Obsoletes: %{_lib}usb-devel < %oldlibusb_version
Obsoletes: %{_lib}usb0.1_4-devel < %oldlibusb_version
Provides: libusb-devel = %oldlibusb_version
Provides: libusb0.1-devel = %oldlibusb_version
Provides: usb-compat-devel = %{version}-%{release}
Provides: usb0.1-devel = %{version}-%{release}

%description -n %devellibname
This package contains the header files, libraries  and documentation needed to
develop applications that use libusb-0.1.

%package -n %sdevellibname
Summary: Static development files for libusb-0.1
Group:	Development/C
Requires(pre): filesystem >= 2.1.9-18
Requires: %{devellibname} = %{version}
Provides: libusb-static-devel = %oldlibusb_version
Provides: libusb0.1-static-devel = %oldlibusb_version
Obsoletes: %{_lib}usb-static-devel < %oldlibusb_version
Obsoletes: %{_lib}usb1.0_4-static-devel < %oldlibusb_version

%description -n %sdevellibname
This package contains static libraries to develop applications that use
libusb0.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std
%multiarch_binaries %{buildroot}%{_bindir}/libusb-config

rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%doc AUTHORS COPYING README NEWS
%{_libdir}/libusb-%{api}.so.%{major}*

%files -n %devellibname
%doc examples/*.c
%{_libdir}/pkgconfig/libusb.pc
%{_includedir}/usb.h
%{_libdir}/libusb.so
%{multiarch_bindir}/libusb-config
%{_bindir}/libusb-config

%files -n %sdevellibname
%{_libdir}/libusb.a


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.1.4-3.mga3
+ Revision: 358304
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 0.1.4-2.mga3
+ Revision: 273158
- Update for usrmove

* Sat Jun 09 2012 fwang <fwang> 0.1.4-1.mga3
+ Revision: 258370
- new version 0.1.4

* Fri Apr 20 2012 boklm <boklm> 0.1.3-6.mga2
+ Revision: 231975
- rebuild to fix package signature problem

* Fri Apr 20 2012 fwang <fwang> 0.1.3-5.mga2
+ Revision: 231944
- drop .la file

* Tue Jan 11 2011 pterjan <pterjan> 0.1.3-4.mga1
+ Revision: 6480
- Drop some Obsoletes related to a past version in cooker
- imported package libusb-compat

